(define-module (type hostname-list)
    :use-module (type _alterator-list)
    :use-module (alterator woo)
    :use-module ((type hostname) :select (hostname?))
    :export (type))

(define (type v _)
  (or (check-list hostname? v)
      (type-error (_ "Invalid hostname list (a host name should contain only latin letters, digits, '-', '.' and '_' and should start with a letter, a digit or '_')"))))
