(define-module (type hostname-or-ip-list)
    :use-module (type _alterator-list)
    :use-module (alterator woo)
    :use-module ((type hostname-or-ip) :select (hostname-or-ip?))
    :export (type))

(define (type v _)
  (or (check-list hostname-or-ip? v)
      (type-error (_ "Invalid hostname/IP list (a host name should contain only latin letters, digits, '-', '.' and '_' and should start with a letter, a digit or '_')"))))
